import { PrefixType, ListItemVariant, ListItemState } from './types';
declare type DefaultListItemType = {
    divider?: boolean;
    state: ListItemState;
    prefixWidth?: number;
    dividerStartsFromText?: boolean;
    disabled?: boolean;
};
export declare const DefaultListItemWrapper: import('styled-components').StyledComponent<"li", any, DefaultListItemType, never>;
export declare const CompactListItemWrapper: import('styled-components').StyledComponent<"li", any, DefaultListItemType, never>;
export declare const MultiLineListItemWrapper: import('styled-components').StyledComponent<"li", any, DefaultListItemType, never>;
export declare const ListItemFlexContainer: import('styled-components').StyledComponent<"div", any, {
    variant: ListItemVariant;
}, never>;
export declare const ListItemPrefix: import('styled-components').StyledComponent<"div", any, {
    type?: PrefixType | undefined;
}, never>;
export declare const ListItemContent: import('styled-components').StyledComponent<"div", any, {}, never>;
export declare const ListItemPrimaryText: import('styled-components').StyledComponent<"p", any, {}, never>;
export declare const ListItemSecondaryText: import('styled-components').StyledComponent<"p", any, {}, never>;
export declare const ListItemMetaText: import('styled-components').StyledComponent<"p", any, {}, never>;
export declare const ListItemSuffix: import('styled-components').StyledComponent<"div", any, {}, never>;
export {};
